# Uses of Class
net.sourceforge.jiu.codecs.jpeg.JPEGData

Packages that use JPEGData
Package
Description
net.sourceforge.jiu.codecs.jpeg

## Uses of JPEGData in net.sourceforge.jiu.codecs.jpeg

Methods in net.sourceforge.jiu.codecs.jpeg with parameters of type JPEGData
Modifier and Type
Method
Description
`private void`
JPEGCodec.`decodeScan(JPEGData jpegData)`
`static void`
JPEGMarkerReader.`readHuffmanTables(DataInput in, JPEGData jpegData, int length)`
`private void`
JPEGCodec.`readMarker(JPEGData jpegData, int marker, int length)`
`static void`
JPEGMarkerReader.`readQuantizationTables(DataInput in, JPEGData jpegData, int length)`
Read quantization tables from a DQT marker.
`static void`
JPEGMarkerReader.`readStartOfFrame(DataInput in, JPEGData jpegData, int marker, int length)`
`static void`
JPEGMarkerReader.`readStartOfScan(DataInput in, JPEGData jpegData, int length)`
Read an SOS (start of scan) marker.